<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>websocket test</title>
</head>
<body>
<button onclick="connect()">Connect</button>
<button onclick="disconnect()">Disconnect</button>
<br><br>Send
<input id="message" type="text" value="">
<button onclick="send()">Gooooo</button>
<br><br>Receive
<input id="receive" size="40" readonly >
</body>
<script type="text/javascript">
    let sock = null;
    function connect() {
        let url = "ws://127.0.0.1:8800/ws";
        document.getElementById('message').value = "save your tears for another day";
        sock = new WebSocket(url);
        sock.onopen = function () {
            console.log("connected to " + url);
        };

        sock.onmessage = function (e) {
            document.getElementById('receive').value = e.data;
        };

        sock.onclose = function (e) {
            console.log("connection: " + url + " closed(" + e.code + ")")
        };
    }

    function disconnect() {
        sock.close();
    }

    function send() {
        let msg = document.getElementById('message').value;
        sock.send(msg);
    }
</script>
</html>